ExactOrRegexpPatternMatcher
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.matcher
Class ExactOrRegexpPatternMatcher

    java.lang.Object
      org.apache.ivy.plugins.matcher.AbstractPatternMatcher
          org.apache.ivy.plugins.matcher.ExactOrRegexpPatternMatcher

All Implemented Interfaces:
  PatternMatcher

    public final class ExactOrRegexpPatternMatcher

extends AbstractPatternMatcher

A pattern matcher that tries to match exactly the input with the expression, or match it as a pattern.

The evaluation for matching is perform first by checking if expression and input are equals (via equals method) else it attempts to do it by trying to match the input using the expression as a regexp.

See Also:
  `ExactPatternMatcher`, `RegexpPatternMatcher`

Field Summary
`static ExactOrRegexpPatternMatcher` | `INSTANCE`

Fields inherited from interface org.apache.ivy.plugins.matcher.PatternMatcher
`ANY_EXPRESSION, EXACT, EXACT_OR_REGEXP, GLOB, REGEXP`

Constructor Summary
`ExactOrRegexpPatternMatcher()`

Method Summary
`protected Matcher` | `newMatcher(java.lang.String expression)` Returns an instance of the implementation specific matcher.

Methods inherited from class org.apache.ivy.plugins.matcher.AbstractPatternMatcher
`getMatcher, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ExactOrRegexpPatternMatcher INSTANCE

Constructor Detail

### ExactOrRegexpPatternMatcher

    public ExactOrRegexpPatternMatcher()

Method Detail

### newMatcher

    protected Matcher newMatcher(java.lang.String expression)

  Description copied from class: `AbstractPatternMatcher`
  Returns an instance of the implementation specific matcher.

  Specified by:
    `newMatcher` in class `AbstractPatternMatcher`
  Parameters:
    `expression` - the string to be matched.
  Returns:
    the instance of the related matcher. Never null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD